Bug 202858 - can't have both Capslock->Ctrl and RCtrl->RAlt
can't have both Capslock->Ctrl and RCtrl->RAlt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 16:02 EDT by Alexandre Oliva
Modified: 2008-05-06 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-08-16 16:02:27 EDT
Description of problem:
gnome-keyboard-settings, under Layout Options, Ctrl Key position, offers two
mutually-exclusive options that don't seem mutually-exclusive to me, and that
I'd like to activate both, such that the otherwise-unused Capslock key becomes
an alternate control key (yay slashdot :-), and the almost-unused right Ctrl key
becomes an Alt key, because RAlt already has another function, and I'd rather
have a right-handed meta key than a right-handed control key.  Ideally, Capslock
could be mapped to RCtrl...

Version-Release number of selected component (if applicable):
control-center-2.15.91-3.fc6

How reproducible:
Every time

Steps to Reproduce:
1.Start gnome-keyboard-properties
2.Go to Layout Options tab, Ctrl key position
3.Try to enable both Capslock is additional Ctrl and RCtrl is RAlt
  
Actual results:
Can't have both

Expected results:
I wish I could

Additional info:
Comment 1 Bug Zapper 2008-04-03 13:57:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:44:47 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.